Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaSimpleContentExtension

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaContent
                  org.apache.ws.commons.schema.XmlSchemaSimpleContentExtension

    public class XmlSchemaSimpleContentExtension

extends XmlSchemaContent

Class for simple types that are derived by extension. Extends the simple type content of the element by adding attributes. Represents the World Wide Web Consortium (W3C) extension element for simple content.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaSimpleContentExtension()` Creates new XmlSchemaSimpleContentExtension

Method Summary
`XmlSchemaAnyAttribute` | `getAnyAttribute()`
`XmlSchemaObjectCollection` | `getAttributes()`
`javax.xml.namespace.QName` | `getBaseTypeName()`
`void` | `setAnyAttribute(XmlSchemaAnyAttribute anyAttribute)`
`void` | `setBaseTypeName(javax.xml.namespace.QName baseTypeName)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaSimpleContentExtension

    public XmlSchemaSimpleContentExtension()

  Creates new XmlSchemaSimpleContentExtension

Method Detail

### setAnyAttribute

    public void setAnyAttribute(XmlSchemaAnyAttribute anyAttribute)

### getAnyAttribute

    public XmlSchemaAnyAttribute getAnyAttribute()

### getAttributes

    public XmlSchemaObjectCollection getAttributes()

### setBaseTypeName

    public void setBaseTypeName(javax.xml.namespace.QName baseTypeName)

### getBaseTypeName

    public javax.xml.namespace.QName getBaseTypeName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.